Xcode
Swift
Swift3.0
Xcode8

pod install「target overrides the `ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES` build...」

More than 1 year has passed since last update.


環境

-Xcode8

-Swift3


エラーログ


[!] The `LOCUS_iOS_PJ [Debug]` target overrides the `ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES` build setting defined in `Pods/Target Support Files/Pods-target_PJ/Pods-target_iOS_PJ.debug.xcconfig'. This can lead to problems with the CocoaPods installation
- Use the `$(inherited)` flag, or
- Remove the build settings from the target.

[!] The `LOCUS_iOS_PJ [Release]` target overrides the `ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES` build setting defined in `Pods/Target Support Files/Pods-target_iOS_PJ/Pods-target_iOS_PJ.release.xcconfig'. This can lead to problems with the CocoaPods installation
- Use the `$(inherited)` flag, or
- Remove the build settings from the target.


困ったこと

他の多くのサイトに書いてるBuild Settings > Linking に Other Linker Flagsが存在しない


解決策

スクリーンショット 2017-02-08 18.53.25.png

スクリーンショット 2017-02-08 18.53.57.png


解説

Build Settings > 画面右上の検索窓に「ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES」と入力する。Yesの状態でotherを選択 > $(inherited)

スクリーンショット 2017-02-08 18.58.07.png

スクリーンショット 2017-02-08 18.58.16.png